#<IfDefine PHP4>
#LoadModule php4_module        modules/libphp4.so
#</IfDefine>
#<IfDefine PHP5>
#LoadModule php5_module        modules/libphp5.so
#</IfDefine>

# We will enable it by default
#<IfDefine PHP>
   LoadModule php5_module        modules/libphp5.so
#</IfDefine>

LoadModule perl_module        modules/mod_perl.so

Alias /phpmyadmin "/opt/lampp/phpmyadmin"
Alias /phpsqliteadmin "/opt/lampp/phpsqliteadmin"
Alias /comunes "/var/www/html/comunes"
Alias /php "/var/www/html/php"
Alias /regente "/var/www/html/regente"
Alias /replicacion "/var/www/html/replicacion"
Alias /b1 "/var/www/html/b1"
Alias /b2 "/var/www/html/b2"

# since XAMPP 1.4.3
<Directory "/opt/lampp/phpmyadmin">
    AllowOverride AuthConfig Limit
    Require all granted
</Directory>

<Directory "/opt/lampp/phpsqliteadmin">
    AllowOverride AuthConfig Limit
    Require all granted
</Directory>

<Directory "/var/www/html/comunes">
    AllowOverride AuthConfig Limit
    Require all granted
</Directory>

<Directory "/var/www/html/php">
    AllowOverride AuthConfig Limit
    Require all granted
</Directory>

<Directory "/var/www/html/regente">
    AllowOverride AuthConfig Limit
    Require all granted
</Directory>

<Directory "/var/www/html/replicacion">
    AllowOverride AuthConfig Limit
    Require all granted
</Directory>

<Directory "/var/www/html/b1">
    AllowOverride AuthConfig Limit
    Require all granted
</Directory>

<Directory "/var/www/html/b2">
    AllowOverride AuthConfig Limit
    Require all granted
</Directory>

# since LAMPP 1.0RC1
AddType application/x-httpd-php .php .php3 .php4

XBitHack on

# since 0.9.8 we've mod_perl
<IfModule mod_perl.c>
        AddHandler perl-script .pl
	PerlHandler ModPerl::PerlRunPrefork
	PerlOptions +ParseHeaders
        PerlSendHeader On
</IfModule>

# demo for mod_perl responsehandler
#PerlModule Apache::CurrentTime
#<Location /time>
#      SetHandler modperl
#      PerlResponseHandler Apache::CurrentTime
#</Location>

# AcceptMutex sysvsem is default but on some systems we need this
# thanks to jeff ort for this hint
#AcceptMutex flock
#LockFile /opt/lampp/logs/accept.lock

# this makes mod_dbd happy - oswald, 02aug06
# mod_dbd doesn't work in Apache 2.2.3: getting always heaps of "glibc detected *** corrupted double-linked list" on shutdown - oswald, 10sep06
#DBDriver sqlite3

#
# New XAMPP security concept
#
<LocationMatch "^/(?i:(?:xampp|security|licenses|phpmyadmin|webalizer|server-status|server-info|comunes|php|regente|replicacion))">
#        Require local
	ErrorDocument 403 /error/XAMPP_FORBIDDEN.html.var
</LocationMatch>
